Bug 740969 - Attempting to create an Organization with a Tab in the name returns cryptic error message.
Summary: Attempting to create an Organization with a Tab in the name returns cryptic e...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: Nightly
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Tazim Kolhar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-24 00:02 UTC by Corey Welton
Modified: 2018-08-30 21:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 14:05:15 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-09-24 00:02:53 UTC
Description of problem:
If a user tries to create an org that has a tab in the name (not easily done, but feasible if, say, copying from notepad or a spreadsheet, etc.), an odd error message is returned.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Organizations > List > New Organization
2.  In some GUI text editor, type the string "Test	Org" (That is, Test<tab>Org" and copy it
3.  Paste this string into org field
  
Actual results:

Validation Failed:

    Cp key is invalid

Expected results:
A non-cryptic error message - or at very least, the same one that talks about the valid/invalid characters for an org

Additional info:

Comment 1 Corey Welton 2011-09-24 00:07:35 UTC
Note: There are other places (e.g., Roles, Providers) where embedded tabs do seem to be allowed.  Not sure what we want to do there.

Comment 2 Partha Aji 2011-10-13 17:34:23 UTC
So after discussing decided, No tabs for names. This should be fixed as of http://git.fedorahosted.org/git/?p=katello.git;a=commit;h=f607c5c829ed3405e021cb6f3f5f5e9f2150c2fe

Roles/Users/Organizations/Environments/Providers/Product should follow this contract.

Comment 3 Corey Welton 2011-10-25 03:50:28 UTC
Most of this bug was fixed but not all of it - though I am possibly willing to forego the rest of it.

Such names are now rejected, but user still gets the "Cp key is invalid" message on the screen - which really makes no sense. Can we get an explanation as to what this means, or remove it or....?

Returning for dev for consideration but not that critical.

Comment 4 Eric Helms 2013-01-22 19:01:42 UTC
This appears to be fixed upstream, with the user receiving only a standard validation error message when attempting to create and Organization with a tab in the name.

As of - 909cf6dc7ea400013a06f1e3494d216ee67e5bee

Comment 5 Bryan Kearney 2014-01-21 19:08:08 UTC
Moving to Sat6 to be tracked there. Upstream bugs are moving to redmine.

Comment 8 Tazim Kolhar 2014-05-19 07:58:07 UTC
VERIFIED
Org created

Comment 9 Bryan Kearney 2014-07-02 14:05:15 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.